Generate a values file for the gateway's Kubernetes Helm chart
GET /api/gateway_groups/{gateway_group_id}/deployment/helm/yaml
GET /api/gateway_groups/{gateway_group_id}/deployment/helm/yamlInteractive request editor loads with JavaScript.
In: header
Path Parameters
Gateway group ID.
1 <= lengthQuery Parameters
The IP address of the control plane.
1 <= lengthThe validity period of the certificate in days.
1 <= value <= 109503650Gateway name.
Gateway namespace.
Service account to install the gateway.
The number of replicas.
1The number of worker processes for the gateway instance. By default, it is configured to match the number of CPU cores on the server hosting the gateway instance.
The CPU limit in number of cores.
The memory limit. Use the format <number><unit>.
Response Body
text/plain
application/json
curl -X GET "$API_BASE_URL/api/gateway_groups/86fb9981-d9d2-4555-9df8-91ae92129335/deployment/helm/yaml?name=string&namespace=string&workers=5&cpu_limit=6&memory_limit=6Gi"Successfully generated the Helm values YAML for data plane installation.
"apiVersion: v1\ndata:\n tls.crt: LS0tLS1CRUdJTiB...\n tls.key: LS0tLS1CRUdJTiB...\n ca.crt: LS0tLS1CRUdJTiB...\nkind: Secret\nmetadata:\n name: name-tls\n namespace: default\ntype: kubernetes.io/tls\n---\napisix:\n replicaCount: 1\n image:\n repository: api7/api7-ee-3-gateway\n tag: dev\n extraEnvVars:\n - name: API7_GATEWAY_GROUP_SHORT_ID\n value: \"tabqbdwnahkqo\"\netcd:\n host:\n - \"https://12.12.123.123:31344\"\n auth:\n tls:\n enabled: true\n existingSecret: name-tls\n certFilename: tls.crt\n certKeyFilename: tls.key\n sni: api7ee3-dp-manager\n verify: true\ngateway:\n tls:\n existingCASecret: name-tls\n certCAFilename: ca.crt\n"Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
GET /api/gateway_groups/{gateway_group_id}/deployment/helm/yaml
Generate a values file for the gateway's Kubernetes Helm chart
IAM Action: gateway:CreateGatewayInstance, Resource: arn:api7:gateway:gatewaygroup/%s
Parameters
dp_manager_address(query, string, optional):gateway_group_id(path, string, required): Gateway group ID.validity_period(query, integer, optional):name(query, string, required): Gateway name.namespace(query, string, required): Gateway namespace.service_account(query, string, optional): Service account to install the gateway.replicas(query, integer, optional): The number of replicas.workers(query, integer, optional): The number of worker processes for the gateway instance. By default, it is configured to match the number of CPU cores on the server hosting the gateway instance.cpu_limit(query, string, optional): The CPU limit in number of cores.memory_limit(query, string, optional): The memory limit. Use the format<number><unit>.
Responses
200: Successfully generated the Helm values YAML for data plane installation.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X GET '$API_BASE_URL/api/gateway_groups/{gateway_group_id}/deployment/helm/yaml'